Using FC5 with SELINUX enabled

if I use gedit in a folder where I have no write access, I get these error messages.
Is there a way to get rid of them ?



[wpyung@eult151 ~]$ cd /etc
[wpyung@eult151 etc]$ gedit
Traceback (most recent call last):
File "/usr/lib64/gedit-2/plugins/modelines.py", line 20, in ?
import gedit
ImportError: No module named gedit

** (gedit:3114): WARNING **: Could not load python module modelines


** (gedit:3114): CRITICAL **: gedit_plugin_update_ui: assertion `GEDIT_IS_PLUGIN (plugin)' failed

** (gedit:3114): CRITICAL **: gedit_plugin_update_ui: assertion `GEDIT_IS_PLUGIN (plugin)' failed

** (gedit:3114): CRITICAL **: gedit_plugin_update_ui: assertion `GEDIT_IS_PLUGIN (plugin)' failed
[wpyung@eult151 etc]$